OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000938OMNeT++Installer / Productizingpublic2015-10-23 21:312016-02-04 12:56
Reporterwhatever2 
Assigned Torhornig 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformLinuxOSElementary OS/ UbuntuOS Version3.16.0-51-generi
Product Version4.6 
Target VersionFixed in Version5.0 
Summary0000938: configure script cannot execute successfully when parent directory name contains white space.
Description"configure" script cannot execute successfully, if parent directory name contains white space(s). As you can see this might have serious implications:
"
...
./configure: line 7813: test: too many arguments
chmod: cannot access '/home/user/foobar/dir': No such file or directory
chmod: cannot access 'has': No such file or directory
chmod: cannot access 'blanks/omnetpp-4.6/bin/__probe__': No such file or directory
...
rm: cannot remove '/home/user/foobar/dir': No such file or directory
rm: cannot remove 'has': No such file or directory
rm: cannot remove 'blanks/omnetpp-4.6/bin/__probe__': No such file or directory
"
Steps To ReproduceExtract omnetpp-4.6 to directory "~/dir has blanks/". Then execute:
$ cd "~/dir has blanks/"
$ . setenv
$ ./configure
Additional InformationFrom a quick look into the "configure" script, I think this might be caused by some missing quotation mark all over the place. E.g.
(line 7819) chmod +x $omnetpp_bin_dir/$probefile

Fixing THIS LINE...
(line 7819) chmod +x "$omnetpp_bin_dir/$probefile"

...corrects THAT PART of the issue. From what I've seen there needs to be a serious overhaul of that script in terms of correctly quoted variables.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001151)
whatever2 (reporter)
2015-10-26 11:36

Sorry, messed up the platform, os, ... part. Platform is x86_64 and Elementary Os is based on Ubuntu 14.04 LTS.
(0001162)
rhornig (administrator)
2016-02-04 12:56

Unfortunately, this is a known (and documented) limitation of the build system we are using. This *may* fixed once/if we move to cmake build.

- Issue History
Date Modified Username Field Change
2015-10-23 21:31 whatever2 New Issue
2015-10-26 11:36 whatever2 Note Added: 0001151
2016-02-04 12:56 rhornig Note Added: 0001162
2016-02-04 12:56 rhornig Status new => resolved
2016-02-04 12:56 rhornig Fixed in Version => 5.0
2016-02-04 12:56 rhornig Resolution open => won't fix
2016-02-04 12:56 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker